@echo off
:start
cls
echo.
echo Welcome ot AD&D Dark Sun: Shattered Lands
echo.
echo  Choose one of the selections below:
echo.
echo     1. Run Demo (NOTE: Demo requires sound card) 
echo     2. Quit.
echo.
echo     Please enter the number for your choice;
query

if errorlevel = 3 goto invalid
if errorlevel = 2 goto end
if errorlevel = 1 goto run

:invalid
echo Invalid choice
goto start
goto end

:run
sound
:CONTINUE
vpic ssilogo.lbm /r /z /a
wait
if errorlevel 1 goto END
mia
if errorlevel 1 goto END
goto CONTINUE:

:END
mode co80
echo SSI Dark Sun Dealer Demo...
echo User Break, Type demo-Return to restart
